Skip to main content
GET
/
partner
/
v1
/
transactions
List transaction history
curl --request GET \
  --url https://api.machines.cash/partner/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "transactions": [
      {
        "transactionId": "<string>",
        "type": "spend",
        "status": "<string>",
        "amountCents": 123,
        "currency": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "merchantName": "<string>",
        "cardId": "<string>"
      }
    ]
  },
  "summary": "<string>",
  "errors": [
    {
      "code": "invalid_request",
      "message": "missing required field",
      "field": "<string>"
    }
  ],
  "next": {
    "pollAfterMs": 1,
    "suggestedTool": "<string>",
    "suggestedArgs": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Open-Responses
enum<string>

Return Open Responses-compatible output when set (replaces the default response envelope).

Available options:
1,
true
X-Open-Responses-Call-Id
string

Tool call id used for function_call_output items when Open Responses mode is enabled.

Minimum string length: 1

Query Parameters

cursor
string

Cursor returned by the previous page.

Minimum string length: 1
limit
integer

Page size (max 200).

Required range: 1 <= x <= 200
cardId
string<uuid>

Filter to a specific card id.

type
string

Comma-separated transaction types (spend, collateral, payment, fee).

Response

Transactions

ok
boolean
required
data
object
required
summary
string
required
errors
object[]
required
next
object